## org.firebirdsql.jdbc
Class FBResultSet

    java.lang.Object
      org.firebirdsql.jdbc.AbstractResultSet
          org.firebirdsql.jdbc.FBResultSet

All Implemented Interfaces:
  ResultSet, Wrapper, FBObjectListener.FetcherListener, Synchronizable

    public class FBResultSet

extends AbstractResultSet

Field Summary

Fields inherited from class org.firebirdsql.jdbc.AbstractResultSet
`gdsHelper, row, xsqlvars`

Fields inherited from interface java.sql.ResultSet
`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

Constructor Summary
`FBResultSet(GDSHelper gdsHelper, AbstractStatement fbStatement, AbstractIscStmtHandle stmt, FBObjectListener.ResultSetListener listener, boolean trimStrings, int rsType, int rsConcurrency, int rsHoldability, boolean cached)`
`FBResultSet(XSQLVAR[] xsqlvars, ArrayList rows)`

Method Summary
`int` `getHoldability()`
`Reader` `getNCharacterStream(int columnIndex)`
`Reader` `getNCharacterStream(String columnLabel)`
`NClob` `getNClob(int columnIndex)`
`NClob` `getNClob(String columnLabel)`
`String` `getNString(int columnIndex)`
`String` `getNString(String columnLabel)`
`RowId` `getRowId(int columnIndex)`
`RowId` `getRowId(String columnLabel)`
`SQLXML` `getSQLXML(int columnIndex)`
`SQLXML` `getSQLXML(String columnLabel)`
`boolean` `isClosed()`
`boolean` `isWrapperFor(Class arg0)`
`Object` `unwrap(Class arg0)`
`void` `updateAsciiStream(int columnIndex, InputStream x)`
`void` `updateAsciiStream(int columnIndex, InputStream x, long length)`
`void` `updateAsciiStream(String columnLabel, InputStream x)`
`void` `updateAsciiStream(String columnLabel, InputStream x, long length)`
`void` `updateBinaryStream(int columnIndex, InputStream x)`
`void` `updateBinaryStream(int columnIndex, InputStream x, long length)`
`void` `updateBinaryStream(String columnLabel, InputStream x)`
`void` `updateBinaryStream(String columnLabel, InputStream x, long length)`
`void` `updateBlob(int columnIndex, InputStream inputStream)`
`void` `updateBlob(int columnIndex, InputStream inputStream, long length)`
`void` `updateBlob(String columnLabel, InputStream inputStream)`
`void` `updateBlob(String columnLabel, InputStream inputStream, long length)`
`void` `updateCharacterStream(int columnIndex, Reader x)`
`void` `updateCharacterStream(int columnIndex, Reader x, long length)`
`void` `updateCharacterStream(String columnLabel, Reader reader)`
`void` `updateCharacterStream(String columnLabel, Reader reader, long length)`
`void` `updateClob(int columnIndex, Reader reader)`
`void` `updateClob(int columnIndex, Reader reader, long length)`
`void` `updateClob(String columnLabel, Reader reader)`
`void` `updateClob(String columnLabel, Reader reader, long length)`
`void` `updateNCharacterStream(int columnIndex, Reader x)`
`void` `updateNCharacterStream(int columnIndex, Reader x, long length)`
`void` `updateNCharacterStream(String columnLabel, Reader reader)`
`void` `updateNCharacterStream(String columnLabel, Reader reader, long length)`
`void` `updateNClob(int columnIndex, NClob nClob)`
`void` `updateNClob(int columnIndex, Reader reader)`
`void` `updateNClob(int columnIndex, Reader reader, long length)`
`void` `updateNClob(String columnLabel, NClob nClob)`
`void` `updateNClob(String columnLabel, Reader reader)`
`void` `updateNClob(String columnLabel, Reader reader, long length)`
`void` `updateNString(int columnIndex, String nString)`
`void` `updateNString(String columnLabel, String nString)`
`void` `updateRowId(int columnIndex, RowId x)`
`void` `updateRowId(String columnLabel, RowId x)`
`void` `updateSQLXML(int columnIndex, SQLXML xmlObject)`
`void` `updateSQLXML(String columnLabel, SQLXML xmlObject)`

Methods inherited from class org.firebirdsql.jdbc.AbstractResultSet

`absolute, addWarning, afterLast, allRowsFetched, beforeFirst, cancelRowUpdates, checkCursorMove, clearWarnings, close, deleteRow, fetcherClosed, findColumn, first, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getExecutionPlan, getFetchDirection, getFetchSize, getField, getField, getField, getFloat, getFloat, getInt, getInt, getLong, getLong, getMetaData, getObject, getObject, getObject, getObject, getRef, getRef, getRow, getShort, getShort, getStatement, getString, getString, getSynchronizationObject, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, getXsqlvar, insertRow, isAfterLast, isBeforeFirst, isFirst, isLast, last, moveToCurrentRow, moveToInsertRow, next, previous, refreshRow, relative, rowChanged, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateShort, updateShort, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FBResultSet

    public FBResultSet(GDSHelper gdsHelper,
                       AbstractStatement fbStatement,
                       AbstractIscStmtHandle stmt,
                       FBObjectListener.ResultSetListener listener,
                       boolean trimStrings,
                       int rsType,
                       int rsConcurrency,
                       int rsHoldability,
                       boolean cached)
                throws SQLException

Throws:
  `SQLException`

### FBResultSet

    public FBResultSet(XSQLVAR[] xsqlvars,
                       ArrayList rows)
                throws SQLException

Throws:
  `SQLException`

Method Detail

### getHoldability

    public int getHoldability()
                       throws SQLException

  Specified by:
    `getHoldability` in interface `ResultSet`
  Overrides:
    `getHoldability` in class `AbstractResultSet`
  Throws:
    `SQLException`

### getNCharacterStream

    public Reader getNCharacterStream(int columnIndex)
                               throws SQLException

  Throws:
    `SQLException`

### getNCharacterStream

    public Reader getNCharacterStream(String columnLabel)
                               throws SQLException

  Throws:
    `SQLException`

### getNClob

    public NClob getNClob(int columnIndex)
                   throws SQLException

  Throws:
    `SQLException`

### getNClob

    public NClob getNClob(String columnLabel)
                   throws SQLException

  Throws:
    `SQLException`

### getNString

    public String getNString(int columnIndex)
                      throws SQLException

  Throws:
    `SQLException`

### getNString

    public String getNString(String columnLabel)
                      throws SQLException

  Throws:
    `SQLException`

### getRowId

    public RowId getRowId(int columnIndex)
                   throws SQLException

  Throws:
    `SQLException`

### getRowId

    public RowId getRowId(String columnLabel)
                   throws SQLException

  Throws:
    `SQLException`

### getSQLXML

    public SQLXML getSQLXML(int columnIndex)
                     throws SQLException

  Throws:
    `SQLException`

### getSQLXML

    public SQLXML getSQLXML(String columnLabel)
                     throws SQLException

  Throws:
    `SQLException`

### isClosed

    public boolean isClosed()
                     throws SQLException

  Specified by:
    `isClosed` in interface `ResultSet`
  Overrides:
    `isClosed` in class `AbstractResultSet`
  Throws:
    `SQLException`

### updateAsciiStream

    public void updateAsciiStream(int columnIndex,
                                  InputStream x,
                                  long length)
                           throws SQLException

  Throws:
    `SQLException`

### updateAsciiStream

    public void updateAsciiStream(int columnIndex,
                                  InputStream x)
                           throws SQLException

  Throws:
    `SQLException`

### updateAsciiStream

    public void updateAsciiStream(String columnLabel,
                                  InputStream x,
                                  long length)
                           throws SQLException

  Throws:
    `SQLException`

### updateAsciiStream

    public void updateAsciiStream(String columnLabel,
                                  InputStream x)
                           throws SQLException

  Throws:
    `SQLException`

### updateBinaryStream

    public void updateBinaryStream(int columnIndex,
                                   InputStream x,
                                   long length)
                            throws SQLException

  Throws:
    `SQLException`

### updateBinaryStream

    public void updateBinaryStream(int columnIndex,
                                   InputStream x)
                            throws SQLException

  Throws:
    `SQLException`

### updateBinaryStream

    public void updateBinaryStream(String columnLabel,
                                   InputStream x,
                                   long length)
                            throws SQLException

  Throws:
    `SQLException`

### updateBinaryStream

    public void updateBinaryStream(String columnLabel,
                                   InputStream x)
                            throws SQLException

  Throws:
    `SQLException`

### updateBlob

    public void updateBlob(int columnIndex,
                           InputStream inputStream,
                           long length)
                    throws SQLException

  Throws:
    `SQLException`

### updateBlob

    public void updateBlob(int columnIndex,
                           InputStream inputStream)
                    throws SQLException

  Throws:
    `SQLException`

### updateBlob

    public void updateBlob(String columnLabel,
                           InputStream inputStream,
                           long length)
                    throws SQLException

  Throws:
    `SQLException`

### updateBlob

    public void updateBlob(String columnLabel,
                           InputStream inputStream)
                    throws SQLException

  Throws:
    `SQLException`

### updateCharacterStream

    public void updateCharacterStream(int columnIndex,
                                      Reader x,
                                      long length)
                               throws SQLException

  Throws:
    `SQLException`

### updateCharacterStream

    public void updateCharacterStream(int columnIndex,
                                      Reader x)
                               throws SQLException

  Throws:
    `SQLException`

### updateCharacterStream

    public void updateCharacterStream(String columnLabel,
                                      Reader reader,
                                      long length)
                               throws SQLException

  Throws:
    `SQLException`

### updateCharacterStream

    public void updateCharacterStream(String columnLabel,
                                      Reader reader)
                               throws SQLException

  Throws:
    `SQLException`

### updateClob

    public void updateClob(int columnIndex,
                           Reader reader,
                           long length)
                    throws SQLException

  Throws:
    `SQLException`

### updateClob

    public void updateClob(int columnIndex,
                           Reader reader)
                    throws SQLException

  Throws:
    `SQLException`

### updateClob

    public void updateClob(String columnLabel,
                           Reader reader,
                           long length)
                    throws SQLException

  Throws:
    `SQLException`

### updateClob

    public void updateClob(String columnLabel,
                           Reader reader)
                    throws SQLException

  Throws:
    `SQLException`

### updateNCharacterStream

    public void updateNCharacterStream(int columnIndex,
                                       Reader x,
                                       long length)
                                throws SQLException

  Throws:
    `SQLException`

### updateNCharacterStream

    public void updateNCharacterStream(int columnIndex,
                                       Reader x)
                                throws SQLException

  Throws:
    `SQLException`

### updateNCharacterStream

    public void updateNCharacterStream(String columnLabel,
                                       Reader reader,
                                       long length)
                                throws SQLException

  Throws:
    `SQLException`

### updateNCharacterStream

    public void updateNCharacterStream(String columnLabel,
                                       Reader reader)
                                throws SQLException

  Throws:
    `SQLException`

### updateNClob

    public void updateNClob(int columnIndex,
                            NClob nClob)
                     throws SQLException

  Throws:
    `SQLException`

### updateNClob

    public void updateNClob(int columnIndex,
                            Reader reader,
                            long length)
                     throws SQLException

  Throws:
    `SQLException`

### updateNClob

    public void updateNClob(int columnIndex,
                            Reader reader)
                     throws SQLException

  Throws:
    `SQLException`

### updateNClob

    public void updateNClob(String columnLabel,
                            NClob nClob)
                     throws SQLException

  Throws:
    `SQLException`

### updateNClob

    public void updateNClob(String columnLabel,
                            Reader reader,
                            long length)
                     throws SQLException

  Throws:
    `SQLException`

### updateNClob

    public void updateNClob(String columnLabel,
                            Reader reader)
                     throws SQLException

  Throws:
    `SQLException`

### updateNString

    public void updateNString(int columnIndex,
                              String nString)
                       throws SQLException

  Throws:
    `SQLException`

### updateNString

    public void updateNString(String columnLabel,
                              String nString)
                       throws SQLException

  Throws:
    `SQLException`

### updateRowId

    public void updateRowId(int columnIndex,
                            RowId x)
                     throws SQLException

  Throws:
    `SQLException`

### updateRowId

    public void updateRowId(String columnLabel,
                            RowId x)
                     throws SQLException

  Throws:
    `SQLException`

### updateSQLXML

    public void updateSQLXML(int columnIndex,
                             SQLXML xmlObject)
                      throws SQLException

  Throws:
    `SQLException`

### updateSQLXML

    public void updateSQLXML(String columnLabel,
                             SQLXML xmlObject)
                      throws SQLException

  Throws:
    `SQLException`

### isWrapperFor

    public boolean isWrapperFor(Class arg0)
                         throws SQLException

  Throws:
    `SQLException`

### unwrap

    public Object unwrap(Class arg0)
                  throws SQLException

  Throws:
    `SQLException`

Copyright © 2001-2010. All Rights Reserved.